%define major 0.1
Name: tasque
Version: %major.9
Release: alt1

Summary: A simple task management app (TODO list) for the Linux Desktop

Group: Office
Url: http://live.gnome.org/Tasque
License: LGPL v2.1 or later; X11/MIT

Packager: Vitaly Lipatov <lav@altlinux.ru>

Source: http://ftp.gnome.org/pub/GNOME/sources/tasque/%major/%name-%version.tar

# has glibc deps
#BuildArch: noarch

# Automatically added by buildreq on Sun Feb 21 2010
BuildRequires: GConf glibc-devel-static intltool libevolution-sharp libgnome-sharp libnotify-sharp mono-devel mono-web

# FIXME: why missed by buildreqs
BuildPreReq: ndesk-dbus-glib-devel libgnome-sharp-devel libnotify-sharp-devel libevolution-sharp-devel

%description
Tasky is a simple task management app (TODO list) for the Linux
Desktop.

%prep
%setup

%build
%configure \
    --enable-notify-sharp

%make_build

%install
%makeinstall_std
%find_lang %name
rm -f %buildroot%_pkgconfigdir/tasque.pc

%files -f %name.lang
%_bindir/%name
%_libdir/tasque/
%_datadir/tasque/
%_datadir/dbus-1/services/org.gnome.Tasque.service
%_desktopdir/tasque.desktop
%_iconsdir/hicolor/*/apps/tasque.png
%_iconsdir/hicolor/scalable/apps/tasque.svg
%_pixmapsdir/note-16.png
%_pixmapsdir/rtmLogo.png
%_pixmapsdir/tasque-*.png
%_pixmapsdir/tasque.svg

%changelog
* Sun Feb 21 2010 Vitaly Lipatov <lav@altlinux.ru> 0.1.9-alt1
- new version (0.1.9) import in git
- update buildreqs, build all backends, do not pack .pc file

* Thu Sep 24 2009 Vitaly Lipatov <lav@altlinux.ru> 0.1.8-alt4
- fix build

* Wed Feb 25 2009 Vitaly Lipatov <lav@altlinux.ru> 0.1.8-alt3
- fix build with mono-2.2

* Thu Dec 11 2008 Vitaly Lipatov <lav@altlinux.ru> 0.1.8-alt2
- rebuild on x86_64

* Thu Nov 13 2008 Vitaly Lipatov <lav@altlinux.ru> 0.1.8-alt1
- svn release
- update buildreq

* Sun Oct 26 2008 Vitaly Lipatov <lav@altlinux.ru> 0.1.7-alt1
- initial build for ALT Linux Sisyphus

* Mon May 26 2008 jpr@suse.de
- Make sure tasque-exe-config-fix-bnc382448.patch is applied properly
* Fri May 16 2008 btimothy@suse.de
- Add Tasque.exe.config.in to specify the proper dll libraries.
  This fixes BNC #382448, crash at startup.
* Wed Apr 02 2008 maw@suse.de
- Import into autobuild.
  Wed Mar 19 2008 calvinrg@gmail.com
- Added notify-sharp as a BuildRequires so that we'll build
  with notification support to notify the user when a
  task is created via the DBus interface.
  Thu Mar 13 2008 btimothy@gmail.com
- Added notify-sharp as a Requires so that we'll build
  with notification support to notify the user when a
  task is created via the DBus interface.
  Thu Mar 13 2008 btimothy@gmail.com
- Fix up prefix/lib so the tasque.pc file works on
  x86_64 builds.
  Thu Mar 13 2008 btimothy@gmail.com
- Updated the spec file to better build for SLE_10 by
  specifying specific DBus requirements.
  Thu Mar 13 2008 btimothy@gmail.com
- Added 'Obsoletes: tasky'
  Wed Mar 12 2008 calvinrg@gmail.com
- Updated to 0.1.5.
- Renamed package to Tasque
  Fri Mar 07 2008 btimothy@gmail.com
- Updated to 0.1.4.
- Removed tasky-remove-show-expanders.patch since it's
  included in the tarball now.
  Tue Feb 19 2008 btimothy@gmail.com
- Added tomboy-remove-show-expanders.patch so tasky will
  build on older distros.
  Tue Feb 19 2008 btimothy@gmail.com
- Updated to 0.1.3.
  Sat Feb 16 2008 btimothy@gmail.com
- Updated to 0.1.1.
- Use tar.gz since that's what Tasky's site publishes.
  Thu Feb 14 2008 btimothy@gmail.com
- Use official 0.1.0 release.
  Thu Feb 14 2008 ajorgensen@novell.com
- Initial import
